Skip to main content
POST
/
api
/
v1
/
cards-program
/
applications
/
individual
/
:userId
/
documents
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/applications/individual/3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1/documents' \
--header 'api-key: <api-key>' \
--form 'document=@"/path/to/document.jpg"' \
--form 'documentName="Drivers License"' \
--form 'documentType="drivers_license"' \
--form 'side="front"'
{
  "message": "Document uploaded successfully"
}

Params

userId
string
required
The user ID for the application

Body

document
file
required
The document file to upload (multipart/form-data)
documentName
string
required
The name of the document
documentType
string
required
Type of document being uploaded (e.g., “drivers_license”, “passport”, “national_id”, “proof_of_address”)
side
string
For ID documents, specify “front” or “back”

Response

message
string
Confirmation message
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/applications/individual/3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1/documents' \
--header 'api-key: <api-key>' \
--form 'document=@"/path/to/document.jpg"' \
--form 'documentName="Drivers License"' \
--form 'documentType="drivers_license"' \
--form 'side="front"'
{
  "message": "Document uploaded successfully"
}

Error Responses

{
  "success": false,
  "error": "Unauthorized. Please check your authentication credentials."
}